Bug 791179 - new default.el in emacs-22.3-12.fc11 sources breaks spell checking
Summary: new default.el in emacs-22.3-12.fc11 sources breaks spell checking
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs
Version: 16
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Karel Klíč
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-16 12:16 UTC by Daniel
Modified: 2013-03-03 23:03 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 508033
Environment:
Last Closed: 2013-02-13 15:55:48 UTC


Attachments (Terms of Use)

Description Daniel 2012-02-16 12:16:27 UTC
as the original bug 508033 is closed and there were no reactions to my last comment (cited on the very end of this description), I open a new bug to document the problem in Fedora 16

+++ This bug was initially created as a clone of Bug #508033 +++

Description of problem: emacs-22.3-12.fc11 comes with five new (compared to latest F10 package emacs-22.3-4.fc10) files:

default.el
emacsclient.patch
emacs.spec
rpm-spec-mode.el
rpm-spec-mode-utc.patch

Files emacsclient.patch and rpm-spec-mode-utc.patch are completely new and the other three have changed context.

New default.el has 2 new lines:
; bz#443549
(setq ispell-program-name "hunspell")

Unfortunately the new default.el breaks spell checking. 

When opening a file with German Umlauts try to change the dictionary under Tools --> Spell Checking --> Change Dictionary. At first sign you'll see much less dictionaries as when compiled with unbroken default.el. Now chose one of the German dictionaries (deutsch, german, deutsch8) and try to check spelling.

Or spell checking hangs completely and one cannot even close the emacs window or one sees an error message like "Can't open affix to dictionary files" or "Ispell process is not running".

When emacs-22.3-12.fc11 is compiled without the added lines in default.el everything runs fine

Version-Release number of selected component (if applicable):
emacs-22.3-12.fc11


Steps to Reproduce:
1. Open German text file with emacs 
2. try to check spelling
3. recompile emacs-22.3-12.fc11 with the following default.el

[root@bl4ckh0l3 4]# more default.el
;;; default.el - loaded after ".emacs" on startup
;;;
;;; Setting `inhibit-default-init' non-nil in "~/.emacs"
;;; prevents loading of this file.  Also the "-q" option to emacs
;;; prevents both "~/.emacs" and this file from being loaded at startup.

newly compiled emacs packages don't have broken spell checking.

--- Additional comment from daniel@yehupetz.net on 2009-06-30 18:34:28 EDT ---

Created attachment 350029 [details]
broken spell checking also in emacs-23.0.95

ping -c 1 Assigned+CC   ;-)

The above said is true also for emacs-23.0.95 (from latest testing). The two lines:

; bz#443549
(setq ispell-program-name "hunspell")

in default.el break (at least) german spell checking. Compiled emacs-23.0.95 with the attached emacs23.spec

--- Additional comment from dnovotny@redhat.com on 2009-07-02 07:46:06 EDT ---

hello,
I fixed this in rawhide. 

In F11 I was waiting for my previous update to hit testing and get tested.

The solution is this: I removed those lines from default.el and took another approach (adding dependency to aspell) to fix Bug 443549 .

I will push the updated package into F11 now.

--- Additional comment from updates@fedoraproject.org on 2009-07-02 08:17:51 EDT ---

emacs-22.3-14.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/emacs-22.3-14.fc11

--- Additional comment from updates@fedoraproject.org on 2009-07-03 15:43:53 EDT ---

emacs-22.3-14.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update emacs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7354

--- Additional comment from daniel@yehupetz.net on 2009-07-03 16:01:16 EDT ---

Unfortunately nothing has changed yet.

--- Additional comment from bugzilla@bennee.com on 2009-07-04 05:53:43 EDT ---

It took a while to spread to the mirrors but I can confirm for me at least for me my emacs spell checking is working again. My .emacs happily sets the ispell-program-name to "aspell" and no longer hangs as it did when it was using hunspell.

--- Additional comment from dnovotny@redhat.com on 2009-07-07 06:27:51 EDT ---

(In reply to comment #5)
> Unfortunately nothing has changed yet.  
strange: in the new package, default.el should be empty

--- Additional comment from daniel@yehupetz.net on 2009-07-07 09:59:00 EDT ---

> > Unfortunately nothing has changed yet.  
> strange: in the new package, default.el should be empty  

yep, compiled the packages from source again 

http://kojipkgs.fedoraproject.org/packages/emacs/22.3/14.fc11/data/signed/d22e77f2/src/emacs-22.3-14.fc11.src.rpm

and it works. Now spell checking seems to be okay. Don't know, what happened last time. Sorry for that & thanx again for fixing.

BTW, compilation went through, but produced a myriad of warnings. Most of it maybe is due to odd emacs code.

--- Additional comment from gustavo@sagui.org on 2009-07-14 15:55:15 EDT ---

(In reply to comment #2)
> hello,
> I fixed this in rawhide. 
> 
> In F11 I was waiting for my previous update to hit testing and get tested.
> 
> The solution is this: I removed those lines from default.el and took another
> approach (adding dependency to aspell) to fix Bug 443549 .
> 
> I will push the updated package into F11 now.  

Hi Daniel,

I would like to ask you to reconsider this fix.

As I describe in bug # 495047, the problem isn't with hunspell but with the default dictionary list shipped with emacs. These misconfigured dictionaries are the ones causing the lockups. With a proper configuration I have emacs/hunspell working without a problem. Considering the dictionary unification effort taken in F9 (http://fedoraproject.org/wiki/Releases/FeatureDictionary), I see it as a step backward to add a dependency on aspell to emacs.

As a user, I love the idea of dictionary unification as it allows me to unify my *personal* dictionaries. So, it isn't a "purity" matter.

Maybe for F11 the best solution is just to drop the switch to huspell and let users install aspell thenselves. For F12, the corrected dictionary list could be provided and hunspell reenabled.

--- Additional comment from updates@fedoraproject.org on 2009-07-23 15:02:12 EDT ---

emacs-22.3-14.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

--- Additional comment from g_daniel@gmx.net on 2012-02-04 04:37:26 EST ---

Same problem in F16. I can change the dict, but afterwards spell checking does not work and I see errors like "ispell-init-process: Can't open affix or dictionary files for dictionary ..." or "ispell-send-string: Process ispell not running"
As far as I can see emacs-23.3-9.fc16 does not depend on any spell checker. On my system hunspell was present nevertheless and emacs tried to use it: "@(#) International Ispell Version 3.2.06 (but really Hunspell 1.3.2)"

Installing aspell and aspell dictionaries fixed the issue.

I never had problems using emacs + hunspell + english dictionaries, so I guess it should be possible to teach emacs to use other hunspell dictionaries as well. If it is not, emacs should probably depend on aspell to help the user find this workaround.

Comment 1 Fedora End Of Life 2013-01-16 14:39:47 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Fedora End Of Life 2013-02-13 15:55:51 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.